Page MenuHomePhabricator

[LLDB] Fixes for standalone build
ClosedPublic

Authored by Eugene.Zelenko on Jul 13 2016, 4:29 PM.

Details

Summary

This patch include two fixes:

  • include CheckAtomic to set HAVE_CXX_ATOMICS64_WITHOUT_LIB properly (introduced in r274121)
  • hint Clang CMake files for LLVM CMake files location (inctroduced in ~ r274176)

Diff Detail

Repository
rL LLVM

Event Timeline

Eugene.Zelenko retitled this revision from to [LLDB] Fixes for standalone build.
Eugene.Zelenko updated this object.
Eugene.Zelenko set the repository for this revision to rL LLVM.
Eugene.Zelenko added a subscriber: lldb-commits.
labath accepted this revision.Jul 14 2016, 4:17 AM
labath edited edge metadata.

lgtm.

cmake/modules/LLDBStandalone.cmake
61 ↗(On Diff #63878)

Please put a more descriptive location here, as this is the same as LLVM_BINARY_DIR. Perhaps "Path to LLVMConfig.cmake" if you can't think of anything better.

This revision is now accepted and ready to land.Jul 14 2016, 4:17 AM
nitesh.jain accepted this revision.Jul 14 2016, 4:19 AM
nitesh.jain edited edge metadata.

LGTM. Thanks

Eugene.Zelenko edited edge metadata.

Improved description, but in generic terms, since two files are needed.

Closed by commit rL275641: Fixes for standalone build: (authored by eugenezelenko). · Explain WhyJul 15 2016, 3:53 PM
This revision was automatically updated to reflect the committed changes.